ModelMixRHLP-class {flamingos} | R Documentation

## A Reference Class which represents a fitted mixture of RHLP model.

### Description

ModelMixRHLP represents an estimated mixture of RHLP model.

### Fields

`param`

  A ParamMixRHLP object. It contains the estimated values of the parameters.

`stat`

  A StatMixRHLP object. It contains all the statistics associated to the MixRHLP model.

### Methods

`plot(what = c("estimatedsignal", "regressors", "loglikelihood"), ...)`

  Plot method.

  `what`

    The type of graph requested:

    - `"estimatedsignal" =` Estimated signal (field `Ey` of class StatMixRHLP).

    - `"regressors" =` Polynomial regression components (fields `polynomials` and `pi_jkr` of class StatMixRHLP).

    - `"loglikelihood" =` Value of the log-likelihood for each iteration (field `stored_loglik` of class StatMixRHLP).

  `...`

    Other graphics parameters.

  By default, all the above graphs are produced.

`summary(digits = getOption("digits"))`

  Summary method.

  `digits`

    The number of significant digits to use when printing.

### See Also

ParamMixRHLP, StatMixRHLP

### Examples

    data(toydataset)

    # Let's fit a mixRHLP model on a dataset containing 2 clusters:
    data <- toydataset[1:190,1:21]
    x <- data$x
    Y <- t(data[,2:ncol(data)])

    mixrhlp <- cemMixRHLP(X = x, Y = Y, K = 2, R = 2, p = 1, verbose = TRUE)

    # mixrhlp is a ModelMixRHLP object. It contains some methods such as 'summary' and 'plot'
    mixrhlp$summary()
    mixrhlp$plot()

    # mixrhlp has also two fields, stat and param which are reference classes as well

    # Log-likelihood:
    mixrhlp$stat$loglik

    # Parameters of the polynomial regressions:
    mixrhlp$param$beta

[Package flamingos version 0.1.0 Index]